RM Server python scipting extension not working

ZAMZAM Member Posts: 12 Contributor II
edited July 8 in Help
Hello 

Error:The dummy operator Pro_Schema (replacing python_scripting:execute_python) cannot be executed.
Note that i have Python scripting extension version 9.3 already loaded and visible in the extensions panel in the server.

Thanks

Answers

  • rfuentealbarfuentealba Moderator, RapidMiner Certified Analyst, Member, University Professor Posts: 399   Unicorn
    Hello @ZAM

    Do you mind to post the XML for your process and tell us which version of RapidMiner Server are you using? Also, if you have logs, it would be awesome to have a copy. If for some reason this information is confidencial, drop me a line through the private messages.

    All the best,

    Rodrigo.
  • ZAMZAM Member Posts: 12 Contributor II
    Hello @rfuentealba

    The process is running perfectly fine on the RM Studio with no errors.
    I am using the newest version of RM Server(9.3.1).
    I don't understand why the python scripting would run perfectly on the Studio and not run on the server.
    Also i have the extension for python scripting version 9.3 downloaded on the server and configured and visible on the server extensions panel.
    Attached is the log file.

    Thanks.
    Zeyad
  • rfuentealbarfuentealba Moderator, RapidMiner Certified Analyst, Member, University Professor Posts: 399   Unicorn
    Hello @ZAM,

    Do you have pandas on the Python installation in your server? Better said, did you install the Anaconda Python Distribution in a way that the Python Scripting extension can obtain it? Also, do you have the Python extension installed in your new job agents? These have a different setup and, as far as I know they don't share plugins. Other than that, I don't know of another way to reproduce your issue. Maybe @Telcontar120, @mschmitz or @Marco_Boeck have more ideas about it.

    All the best,

    Rodrigo.
  • kaymankayman Member Posts: 368   Unicorn
    Rapidminer 9.3 seems to have some changes behind the scenes and by default it will load python 2.7 now.
    You will need to modify the config file in the home directory to overrule this.

    This is located in home/job-agent-home/config/rapidminer

    open the rapidminer.properties file and add the correct path,there are examples for both Linux and Windows in the file.
Sign In or Register to comment.